%define upstream_name    Digest-Keccak
%define upstream_version 0.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 21

Summary:    Perl interface to the Keccak digest algorithm
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Digest/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest)
BuildRequires: perl(Test::More)
BuildRequires: perl(parent)
BuildRequires: perl-devel

%description
The 'Digest::Keccak' module provides an interface to the Keccak message
digest algorithm. Keccak is a candidate in the NIST SHA-3 competition.

This interface follows the conventions set forth by the 'Digest' module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml README
%{_mandir}/man3/*
%perl_vendorarch/*




%changelog
* Tue Jun 07 2022 umeabot <umeabot> 0.50.0-21.mga9
+ Revision: 1861813
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.50.0-20.mga9
+ Revision: 1795678
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.50.0-19.mga9
+ Revision: 1726560
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.50.0-18.mga8
+ Revision: 1594555
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.50.0-17.mga8
+ Revision: 1529449
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.50.0-16.mga8
+ Revision: 1433537
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.50.0-15.mga7
+ Revision: 1292817
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.50.0-14.mga7
+ Revision: 1249330
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.50.0-13.mga7
+ Revision: 1164079
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.50.0-12.mga7
+ Revision: 1148863
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.50.0-11.mga7
+ Revision: 1126726
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-10.mga6
+ Revision: 1025787
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.50.0-9.mga6
+ Revision: 957209
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.50.0-8.mga6
+ Revision: 843780
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-7.mga5
+ Revision: 739880
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-6.mga5
+ Revision: 684361
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.50.0-5.mga5
+ Revision: 631123
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.50.0-4.mga4
+ Revision: 524295
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.50.0-3.mga4
+ Revision: 430676
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-2.mga3
+ Revision: 365922
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 24 2012 jquelin <jquelin> 0.50.0-1.mga3
+ Revision: 334738
- imported package perl-Digest-Keccak


* Mon Dec 24 2012 cpan2dist 0.05-1mga
- initial mageia release, generated with cpan2dist
